Как русифицировать web-интерфейс CUPS?

Сообщения
84
#1
Всем привет. Астралинукс Смоленск 1.5. Сейчас так (настройки по умолчанию):
encups_.PNG

+++++++++++++++++++++++++++++++++++++++++++++++++++++
А хотелось бы так:
rucups_.PNG

В обоих случаях CUPS 1.5.3. Спасибо заранее.
 

Вложения

Последнее редактирование:
Сообщения
84
#6
Естессно, в файл /etc/cups/cupsd.conf добавлена строка
согласно этой инструкции:
http://localhost:631/help/ref-cupsd-conf.html#DefaultLanguage
Examples
DefaultLanguage de
DefaultLanguage en
DefaultLanguage es
DefaultLanguage fr
DefaultLanguage it

Description

The DefaultLanguage directive specifies the default language to use for client connections. Setting the default language also sets the default character set if a language localization file exists for it. The default language is "en" for English.
а воз и ныне там
 
Сообщения
84
#7
Ещё что интересно, русифицировать, как я понимаю, в принципе можно (см. картинку и ссылку на ней)
cups.png

Но стоит куда-нибудь ткнуть, например, "Администрирование", как вся русификация слетает к чертям собачьим.
 

Olej

New member
Сообщения
979
#8
русифицировать, как я понимаю, в принципе можно
Вот страница администрирования CUPS в Орёл:
Screenshot_20190827_180435.png

Замечательно всё руссифицировано изначально.
Так что вы дождитесь какой-то очередной правки-обновления от сборщиков вашей системы ... они, как видим, работают... :D

P.S. Мне (только IMHO) совершенно непонятно упоротое желание руссифицировать вообще всё и вся... Эта страница рядовому юзеру не нужна и недоступна. С ней работает один только администратор. Ваш администратор не может заучить 3 фразы на английском языке? :eek:
 
Сообщения
84
#9
Так что вы дождитесь какой-то очередной правки-обновления от сборщиков вашей системы ... они, как видим, работают... :D
Вообще говоря, правку-обновление влияющую на функционал ждать не приходится. Сейчас выпускают обновления безопаности и только. Далее, CUPS в моей системе, а мы говорим о Смоленск 1.5, русифицировать МОЖНО; у меня на работе 10 машин с предустановленной Смоленск 1.5 и на них русифицированный CUPS. Вопрос- как это сделать.

P.S. Мне (только IMHO) совершенно непонятно упоротое желание руссифицировать вообще всё и вся... Эта страница рядовому юзеру не нужна и недоступна. С ней работает один только администратор. Ваш администратор не может заучить 3 фразы на английском языке?
непонятно и непонятно. Предполагаемую практическую пользу русификации я не буду, пожалуй, описывать, ибо возражения ненужные пойдут а-ля "3 фразы на английском языке", а вот спортивный интерес пробуждается уже, да. Если вам неинтересно- спасибо за помощь и до свидания, может, другой кто поможет.
 

Montfer

New member
Сообщения
455
#10
Поставил на виртуалку смоленск 1.5. При установке выбирал "Базовые средства", "Средства работы в сети" и "Офисные средства". При первом запуске firefox'a под админской учеткой меню cups было на английском. После второго запуска страница "Начало" на английском, а остальные вкладки на русском. Хрен его знает от чего оно зависит.
Ну и коронная фраза - обращайтесь в техподдержку. Вы же купили не только дистрибутив, но его сопровождение
 

Montfer

New member
Сообщения
455
#12
переустановил виртуалку. Теперь во время установки выбрал только "Базовые средства", а firefox установил потом вручную. Естественно изначально он не русифицирован и ни перезапуск, ни перезагрузка не помогли отобразить русифицированный cups. При этом при вводе localhost:631/ru, cups отображался на русском.
Установил пакет firefox-locale-ru, после этого главная страница осталась на английском, остальные - на русском
 
Сообщения
84
#13
У меня FF паровозом шёл (при установке я выбирал не только базовые средства). Сразу был русифицирован.
user@astra:~$ dpkg -l | grep firefox-locale-ru
ii firefox-locale-ru 44.0.2+build1-0ubuntu0.14.04.1astra1 amd64 Russian language pack for Firefox
user@astra:~$
user@astra:~$
 

Montfer

New member
Сообщения
455
#14
пробовали его переустановить? или браузер переустановить?

Забавно, а через какой-то непонятный браузер всё, на первый взгляд, отлично
оу, это fly-phone-webbrowser...
 

Вложения

Последнее редактирование:
Сообщения
84
#17
пробовали его переустановить?
пробовал, бесполезно. Переустанавливается той же версии, что и был.

Bash:
user@astra:~/Desktop$
user@astra:~/Desktop$ sudo apt-get --reinstall firefox-locale-ru
E: Неверная операция firefox-locale-ru
user@astra:~/Desktop$ sudo apt-get --reinstall install firefox-locale-ru
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
обновлено 0, установлено 0 новых пакетов, переустановлено 1 переустановлено, для удаления отмечено 0 пакетов, и 4 пакетов не обновлено.
Необходимо скачать 0 B/511 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 0 B.
(Чтение базы данных … на данный момент установлено 174408 файлов и каталогов.)
Подготовка к замене пакета firefox-locale-ru 44.0.2+build1-0ubuntu0.14.04.1astra1 (используется файл …/firefox-locale-ru_44.0.2+build1-0ubuntu0.14.04.1astra1_amd64.deb) …
Распаковывается замена для пакета firefox-locale-ru …
Настраивается пакет firefox-locale-ru (44.0.2+build1-0ubuntu0.14.04.1astra1) …
user@astra:~/Desktop$
какая-то херня.
 
Сообщения
84
#18
И FF переустанавливал
Bash:
user@astra:~$
user@astra:~$ sudo apt-get --reinstall install firefox
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
обновлено 0, установлено 0 новых пакетов, переустановлено 1 переустановлено, для удаления отмечено 0 пакетов, и 4 пакетов не обновлено.
Необходимо скачать 0 B/2 366 B архивов.
После данной операции, объём занятого дискового пространства возрастёт на 0 B.
(Чтение базы данных … на данный момент установлено 174408 файлов и каталогов.)
Подготовка к замене пакета firefox 54.0.2-1astra2 (используется файл …/firefox_54.0.2-1astra2_amd64.deb) …
Распаковывается замена для пакета firefox …
Настраивается пакет firefox (54.0.2-1astra2) …
user@astra:~$
бесполезно
 

Montfer

New member
Сообщения
455
#19
Ну, тогда только техподдержка поможет. Кстати, сегодня посмотрел на пк на работе, где установивались только поддержка rar, др.веб и джакарта, остальное - стандартное при установке (базовые средства, средства работы в сети и офисные средства). Там и первая страница на русском. Причем сегодня в cups зашел впервые после установки.
Бюллетени безопасности там не устанавливались
 
Сообщения
84
#20
Может, для CUPS-а что скачать надо? Не покажите вывод
Bash:
user@astra:~$
user@astra:~$ dpkg -l | grep cups
ii  cups                                     1.5.3-5+deb7u9astra.se1              amd64        Common UNIX Printing System(tm) - server
ii  cups-bsd                                 1.5.3-5+deb7u9astra.se1              amd64        Common UNIX Printing System(tm) - BSD commands
ii  cups-client                              1.5.3-5+deb7u9astra.se1              amd64        Common UNIX Printing System(tm) - client programs (SysV)
ii  cups-common                              1.5.3-5+deb7u9astra.se1              all          Common UNIX Printing System(tm) - common files
ii  cups-filters                             1.0.40-0ubuntu2astra.se2             amd64        OpenPrinting CUPS Filters
ii  cups-pk-helper                           0.2.3-3                              amd64        PolicyKit helper to configure cups with fine-grained privileges
ii  cups-ppdc                                1.5.3-5+deb7u9astra.se1              amd64        Common UNIX Printing System(tm) - PPD manipulation utilities
ii  libcups2:amd64                           1.5.3-5+deb7u9astra.se1              amd64        Common UNIX Printing System(tm) - Core library
ii  libcupscgi1:amd64                        1.5.3-5+deb7u9astra.se1              amd64        Common UNIX Printing System(tm) - CGI library
ii  libcupsfilters1:amd64                    1.0.40-0ubuntu2astra.se2             amd64        OpenPrinting CUPS Filters - Shared library
ii  libcupsimage2:amd64                      1.5.3-5+deb7u9astra.se1              amd64        Common UNIX Printing System(tm) - Raster image library
ii  libcupsmime1:amd64                       1.5.3-5+deb7u9astra.se1              amd64        Common UNIX Printing System(tm) - MIME library
ii  libcupsppdc1:amd64                       1.5.3-5+deb7u9astra.se1              amd64        Common UNIX Printing System(tm) - PPD manipulation library
ii  parsec-cups                              1.0.11-4                             amd64        cups support executables for PARSEC
ii  printer-driver-hpcups                    3.15.11+repack0-1astra1              amd64        HP Linux Printing and Imaging - CUPS Raster driver (hpcups)
user@astra:~$
?